<?php

namespace App\Interfaces;

use App\Models\Team;
use Illuminate\Database\Eloquent\Collection;

interface TeamRepositoryInterface
{
    public function all(): Collection;
    public function findById(int $id): ?Team;
    public function findByCode(string $code): ?Team;
    public function create(array $data): Team;
    public function update(int $id, array $data): bool;
    public function getCommunitySupport(): Collection;
}
